Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 371985 - dev-php5/pecl-imagick: add prefix support
Summary: dev-php5/pecl-imagick: add prefix support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: prefix-gx86
  Show dependency tree
 
Reported: 2011-06-17 02:55 UTC by yegle
Modified: 2015-08-30 14:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
php-ext-source-r2.eclass (php-ext-source-r2.eclass,10.89 KB, text/plain)
2015-08-24 17:07 UTC, Michael Orlitzky
Details
php-ext-source-r2.eclass-prefix.diff (php-ext-source-r2.eclass-prefix.diff,1.89 KB, patch)
2015-08-24 17:08 UTC, Michael Orlitzky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yegle 2011-06-17 02:55:13 UTC
This package is in Prefix portage tree but cannot be compiled.

It hardcoded imagick prefix path to /usr and uses /usr/lib/php5.3/bin/phpize.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-11-16 17:16:41 UTC
(In reply to comment #0)
> This package is in Prefix portage tree but cannot be compiled.

Right. In tree does NOT mean that it was ever tested or that it works. Do you have a patch for review?
Comment 2 Christoph Junghans gentoo-dev 2012-08-24 13:47:08 UTC
pecl-imagick-3.1.0_rc2 is EAPI=4, I guess we just need to tweak conf to be "--with-imagick=${EPREFIX}/usr"
Comment 3 Christoph Junghans gentoo-dev 2012-10-18 08:27:51 UTC
and we will need to add prefix support to php-ext-pecl-r2.eclass.
Comment 4 Michael Orlitzky gentoo-dev 2015-08-24 17:07:38 UTC
Created attachment 410150 [details]
php-ext-source-r2.eclass

I've just added dev-php/pecl-imagick-3.3.0_rc2 to the tree with the EPREFIX thing added.

The eclass that needs prefix support is php-ext-source-r2. I mangled my local copy adding $EPREFIX wherever a raw path was used (but not passed to a dobin, newins, etc. helper). The patched eclass and diff are attached.

This works in my prefix installation, but I don't know wtf I'm doing, so can someone else please take a look?
Comment 5 Michael Orlitzky gentoo-dev 2015-08-24 17:08:30 UTC
Created attachment 410152 [details, diff]
php-ext-source-r2.eclass-prefix.diff
Comment 6 Fabian Groffen gentoo-dev 2015-08-24 17:12:45 UTC
It looks good to me.
Comment 7 Michael Orlitzky gentoo-dev 2015-08-30 14:29:07 UTC
Fixed in 852a595a2.